Package org.jboss.resteasy.specimpl

## Class LinkBuilderImpl

- java.lang.Object
- - org.jboss.resteasy.specimpl.LinkBuilderImpl

- All Implemented Interfaces:
    `javax.ws.rs.core.Link.Builder`

      public class LinkBuilderImpl
      extends Object
      implements javax.ws.rs.core.Link.Builder

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected URI` | `baseUri` |
    `protected Map<String,​String>` | `map` | A map for all the link parameters such as "rel", "type", etc.
    `protected javax.ws.rs.core.UriBuilder` | `uriBuilder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkBuilderImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.Link.Builder` | `baseUri​(String uri)` |
    `javax.ws.rs.core.Link.Builder` | `baseUri​(URI uri)` |
    `javax.ws.rs.core.Link` | `build​(Object... values)` |
    `javax.ws.rs.core.Link` | `buildRelativized​(URI uri, Object... values)` |
    `javax.ws.rs.core.Link.Builder` | `link​(String link)` |
    `javax.ws.rs.core.Link.Builder` | `link​(javax.ws.rs.core.Link link)` |
    `javax.ws.rs.core.Link.Builder` | `param​(String name, String value)` |
    `javax.ws.rs.core.Link.Builder` | `rel​(String rel)` |
    `javax.ws.rs.core.Link.Builder` | `title​(String title)` |
    `javax.ws.rs.core.Link.Builder` | `type​(String type)` |
    `javax.ws.rs.core.Link.Builder` | `uri​(String uri)` |
    `javax.ws.rs.core.Link.Builder` | `uri​(URI uri)` |
    `javax.ws.rs.core.Link.Builder` | `uriBuilder​(javax.ws.rs.core.UriBuilder uriBuilder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          protected final Map<String,​String> map

      A map for all the link parameters such as "rel", "type", etc.

    - #### uriBuilder

          protected javax.ws.rs.core.UriBuilder uriBuilder

    - #### baseUri

          protected URI baseUri

  - ### Constructor Detail

    - #### LinkBuilderImpl

          public LinkBuilderImpl()

  - ### Method Detail

    - #### link

          public javax.ws.rs.core.Link.Builder link​(javax.ws.rs.core.Link link)

      Specified by:
        `link` in interface `javax.ws.rs.core.Link.Builder`

    - #### link

          public javax.ws.rs.core.Link.Builder link​(String link)

      Specified by:
        `link` in interface `javax.ws.rs.core.Link.Builder`

    - #### uriBuilder

          public javax.ws.rs.core.Link.Builder uriBuilder​(javax.ws.rs.core.UriBuilder uriBuilder)

      Specified by:
        `uriBuilder` in interface `javax.ws.rs.core.Link.Builder`

    - #### uri

          public javax.ws.rs.core.Link.Builder uri​(URI uri)

      Specified by:
        `uri` in interface `javax.ws.rs.core.Link.Builder`

    - #### uri

          public javax.ws.rs.core.Link.Builder uri​(String uri)
                                            throws IllegalArgumentException

      Specified by:
        `uri` in interface `javax.ws.rs.core.Link.Builder`
      Throws:
        `IllegalArgumentException`

    - #### rel

          public javax.ws.rs.core.Link.Builder rel​(String rel)

      Specified by:
        `rel` in interface `javax.ws.rs.core.Link.Builder`

    - #### title

          public javax.ws.rs.core.Link.Builder title​(String title)

      Specified by:
        `title` in interface `javax.ws.rs.core.Link.Builder`

    - #### type

          public javax.ws.rs.core.Link.Builder type​(String type)

      Specified by:
        `type` in interface `javax.ws.rs.core.Link.Builder`

    - #### param

          public javax.ws.rs.core.Link.Builder param​(String name,
                                                     String value)
                                              throws IllegalArgumentException

      Specified by:
        `param` in interface `javax.ws.rs.core.Link.Builder`
      Throws:
        `IllegalArgumentException`

    - #### build

          public javax.ws.rs.core.Link build​(Object... values)
                                      throws javax.ws.rs.core.UriBuilderException

      Specified by:
        `build` in interface `javax.ws.rs.core.Link.Builder`
      Throws:
        `javax.ws.rs.core.UriBuilderException`

    - #### buildRelativized

          public javax.ws.rs.core.Link buildRelativized​(URI uri,
                                                        Object... values)

      Specified by:
        `buildRelativized` in interface `javax.ws.rs.core.Link.Builder`

    - #### baseUri

          public javax.ws.rs.core.Link.Builder baseUri​(URI uri)

      Specified by:
        `baseUri` in interface `javax.ws.rs.core.Link.Builder`

    - #### baseUri

          public javax.ws.rs.core.Link.Builder baseUri​(String uri)

      Specified by:
        `baseUri` in interface `javax.ws.rs.core.Link.Builder`